<?php

require_once ("../../config/Cado.php");

require_once ("cSubcuenta.php");

$oSubcuenta = new cSubcuenta();



if($_POST['action']=="insertar")

{

	$cue_id=$_POST['cue_id'];

}





if($_POST['action']=="editar")

{

	$dts=$oSubcuenta->mostrarUno($_POST['subcue_id']);

	$dt = mysqli_fetch_array($dts);

	$sub_cod =$dt['tb_subcuenta_cod'];

	$sub_nom =$dt['tb_subcuenta_nom'];

	$sub_ord =$dt['tb_subcuenta_ord'];

	$cue_id =$dt['tb_cuenta_id'];



	mysqli_free_result($dts);

}

?>



<!-- Form content -->



				<form role="form" id="for_subcue" method="POST">

					<input name="action_subcuentas" id="action_subcuentas" type="hidden" value="<?php echo $_POST['action']?>">

					<input name="hdd_subcue_id" id="hdd_subcue_id" type="hidden" value="<?php echo $_POST['subcue_id']?>">

					<div class="box-header">

						<h3 class="box-title">Información de la SUB - CUENTA</h3>

					</div>

					<div class="box-body">

						<div class="form-group">

							<div class="row">        

								<div class="col-lg-4 col-xs-6">

									<label for="cmb_cue_id">Cuenta:</label>

									<select name="cmb_cue_id" id="cmb_cue_id" class="form-control"></select> 

								</div>

								<div class="col-lg-6 col-xs-6">

									<label for="txt_subcue_nom">Nombre:</label>

									<input name="txt_subcue_nom" id="txt_subcue_nom" value="<?php echo $sub_nom;?>" type="text" class="form-control"> 

								</div> 



								<div style="display: none" class="col-lg-1 col-xs-6">

									<label for="txt_subcue_cod">Codigo:</label>

									<input name="txt_subcue_cod" type="text" id="txt_subcue_cod" value="<?php echo $sub_cod; ?>"  maxlength="50" class="form-control"> 

								</div>

								<div class="col-lg-4 col-xs-6">

									<label for="txt_subcue_ord">Orden:</label>

									<input name="txt_subcue_ord"  type="text" id="txt_subcue_ord" value="<?php echo $sub_ord; ?>" maxlength="50"  class="form-control"> 

								</div>

							</div> 

						</div>

					</div>

				</form>

				

				<div class="box-footer float-right ">

				<button type="button" data-dismiss="modal" class="btn btn-default cancel">Cancelar</button>

				<button class="btn btn-primary" id="save_form_subcue">Guardar</button>

				</div>

			





<script type="text/javascript">



	function cmb_cue_id(cueid)

	{	

		$.ajax({

			type: "POST",

			url: "../cuentas/cmb_cue_id.php",

			async:true,

			dataType: "html",                      

			data: ({	

				cuetip_id: $('#cmb_fil_cuetip_id').val(),		

				cue_id: cueid							

			}),

			beforeSend: function() {

				$('#cmb_cue_id').html('<option value="">Cargando...</option>');

			},

			success: function(html){			

				$('#cmb_cue_id').html(html);			

			}

		});

	}







	

	$('#txt_subcue_nom, #txt_subcue_cod').change(function(){

		$(this).val($(this).val().toUpperCase());

	});





	$( "#radio" ).buttonset();



	$("#cancel").click(function() {

		$("#form").hide();

		$("#table").show();

		$("#filter").show();

	});



	$("#save_form_subcue").click(function() {

		$("#for_subcue").submit();

	});



	$(document).ready(function() {



		$('#for_subcue').bootstrapValidator({

	      //live: 'disabled',

	      message: 'Valor no Valido',

	      feedbackIcons: {

	      	valid: 'glyphicon glyphicon-ok',

	      	invalid: 'glyphicon glyphicon-remove',

	      	validating: 'glyphicon glyphicon-refresh'

	      },

	      fields: {		      

	      	txt_subcue_nom: {

	      		group: '.col-lg-4',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	},

	      	txt_subcue_ord: {

	      		group: '.col-lg-2',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	},

	      }

	  }).on('success.form.bv', function(e) {

	  	/*--- Save ---*/



	  	$.ajax({

	  		type: "POST",

	  		url: "../cuentas/subcuentas_reg.php",

	  		async:true,

	  		dataType: "html",

	  		data: $("#for_subcue").serialize(),

	  		beforeSend: function() {	

	  			

	  		},

	  		success: function(html){						

	  			$('.modal').modal('hide');

					$('.in').removeClass('modal-backdrop');			

					toastr["success"](html);									

	  		},

	  		complete: function(){					

	  			cuentas_tabla(); 

	  						

				}			

			});

	  });





	  //juego de focos	  

	  $('#txt_subcue_nom').focus();



	  $('#txt_subcue_nom').keydown(function(ev) {

	  	if(ev.keyCode==13){$('#txt_subcue_ord').focus(); return false;}

	  });

	  $('#txt_subcue_ord').keydown(function(ev) {

	  	if(ev.keyCode==13){$('#save_form_subcue').focus(); return false;}

	  });





	  cmb_cue_id('<?php echo $cue_id; ?>');



	});

	



	

</script>